## class Fl_Clock_Output

### Class Hierarchy

    Fl_Widget
       |
       +----Fl_Clock_Output
               |
               +----Fl_Clock

### Include Files

    #include <FL/Fl_Clock.H>

### Description

This widget can be used to display a program-supplied time. The time shown on the clock is not updated. To display the current time, use `Fl_Clock` instead.

### Methods

- Fl_Clock_Output
- ~Fl_Clock_Output
- hour
- minute
- second
- value

#### Fl_Clock_Output::Fl_Clock_Output(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Clock_Output` widget using the given position, size, and label string. The default boxtype is `FL_NO_BOX`.

#### virtual Fl_Clock_Output::~Fl_Clock_Output()

The destructor removes the clock.

#### int Fl_Clock_Output::hour() const

Returns the current hour (0 to 23).

#### int Fl_Clock_Output::minute() const

Returns the current minute (0 to 59).

#### int Fl_Clock_Output::second() const

Returns the current second (0 to 60, 60 = leap second).

#### void Fl_Clock_Output::value(ulong v)
void Fl_Clock_Output::value(int h, int m, int s)
ulong Fl_Clock_Output::value(void)

The first two forms of `value` set the displayed time to the given UNIX time value or specific hours, minutes, and seconds.

The third form of `value` returns the displayed time in seconds since the UNIX epoch (January 1, 1970).